Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.style
Interface ExtensionElementFactory

All Known Implementing Classes:
  SQLElementFactory

    public interface ExtensionElementFactory

Interface ExtensionElementFactory.
A "Factory" for user-defined nodes in the stylesheet tree.
(Actually, it's not strictly a factory: it doesn't create the nodes, it merely identifies what class they should be.

Method Summary
`java.lang.Class` | `getExtensionClass(java.lang.String localname)` Identify the class to be used for stylesheet elements with a given local name.

Method Detail

### getExtensionClass

    java.lang.Class getExtensionClass(java.lang.String localname)

  Identify the class to be used for stylesheet elements with a given local name. The returned class must extend net.sf.saxon.style.StyleElement

  Returns:
    null if the local name is not a recognised element type in this namespace.

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.